using System;
using System.Drawing;

namespace sudari
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int x =int.Parse(Console.ReadLine());
            int y =int.Parse(Console.ReadLine());
            int b = 0;
            if (x > y)
            {
                int z = x;
                while (x > 0)
                {
                    x = x / 10;
                    b++;
                }
                x = z;  
            }
            else
            {
                int z = y;
                while (y > 0)
                {
                    y = y / 10;
                    b++;
                }
                y = z;
            }
            double[] a = new double[b*2];
            if (x > y)
            {
                for(int i = 0; i<b; i++)
                {
                    if (y == 0)
                    {
                        a[i] = x % 10;
                    }
                    else if (x % 10 > y %10)
                    {
                        a[i]= x % 10;
                    }
                    else if(x % 10 < y % 10)
                    {
                        a[i]=y %10;
                    }
                    else
                    {
                        b++;
                        a[i] = x % 10;
                        a[i + 1] = x % 10;
                        i++;
                    }
                    x /= 10;
                    y/= 10;
                }
            }
            else if(y > x)
            {
                for (int i = 0; i<b; i++)
                {
                    if (x == 0)
                    {
                        a[i] = y % 10;
                    }
                    else if (x % 10 > y % 10)
                    {
                        a[i] = x % 10;
                    }
                    else if (x % 10 < y % 10)
                    {
                        a[i] = y % 10;
                    }
                    else
                    {
                        a[i]=x % 10;
                        a[i+1]=x % 10;
                        i++;
                        b++;
                    }
                    x/= 10;
                    y /= 10;
                }
            }
           
            for(int i = b-1; i >=0; i--)
            {
                Console.Write(a[i]);
            }
            Console.ReadLine();
        }
    }
}